package studio.junk.jam.coloritum;

import com.badlogic.gdx.Game;
import com.badlogic.gdx.Gdx;

import studio.junk.jam.coloritum.screen.InGame;
import studio.junk.jam.coloritum.screen.LoadGame;

public class ColoritumGame extends Game {

	public static ColoritumGame game;

	@Override
	public void create() {
		System.out.println(Gdx.graphics.getDisplayMode());
		System.out.println(Gdx.files.internal("badlogic.png"));

		game = this;

		setScreen(new LoadGame());

		final GameState state = new GameState();
		state.initAssets();

		state.init();
		setScreen(new InGame());

//		new Thread(new Runnable() {
//			@Override
//			public void run() {
//
//				// doing super long init
//				state.init();
//
//				// change screen
//				Gdx.app.postRunnable(new Runnable() {
//
//					@Override
//					public void run() {
//						setScreen(new InGame());
//					}
//				});
//			}
//		}).start();;
	}

}
